#!/bin/sh
# $URL: http://subversion:8080/svn/gsc/trunk/drivers/LINUX/12AI64/12AI64_Linux_1.x.x.x_DN/lib/static_to_shared.sh $
# $Rev: 55667 $
# $Date: 2024-10-23 12:13:31 -0500 (Wed, 23 Oct 2024) $

# 12AI64: Library Directory: convert .a files to single .so



#******************************************************************************
echo ""
echo ==== Cleaning ========================================
echo ""

cd ..
./make_all clean
rm -f lib12ai64_main.so lib12ai64_multi.so



#******************************************************************************
echo ""
echo ==== Updating environment variables ==================
echo ""

export GSC_LIB_COMP_FLAGS="${GSC_LIB_COMP_FLAGS} -fPIC"
echo == GSC_LIB_COMP_FLAGS: ${GSC_LIB_COMP_FLAGS} =========================



#******************************************************************************
echo ""
echo ==== Rebuilding ======================================
echo ""

./make_all



#******************************************************************************
echo ""
echo ==== Build Shared Libraries ==========================
echo ""

cd lib
make shared

